@import url("https://fonts.googleapis.com/css2?family=Raleway:ital,wght@0,400;0,700;1,400;1,700&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Raleway:ital,wght@0,400;0,700;1,400;1,700&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Raleway:ital,wght@0,400;0,700;1,400;1,700&display=swap");
*,
*::after,
*::before {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

button, input[type=submit], input[type=reset] {
  all: initial;
  cursor: pointer;
}
button img, input[type=submit] img, input[type=reset] img {
  display: block;
}

html, body {
  font-size: 14px;
  font-family: Raleway, sans-serif;
  min-height: 100vh;
  max-height: 100vh;
  min-width: 100vw;
  max-width: 100vw;
  overflow: hidden;
}

body {
  background: #0c122c url("../images/bg-desktop.png") no-repeat bottom center;
  background-size: 100% 52.5%;
  position: relative;
  display: flex;
}

main {
  margin: auto;
  padding-bottom: 20px;
  display: flex;
  gap: 2rem;
}

.usage, .uploader {
  box-shadow: 11px 10px 37px 1px rgba(0, 0, 0, 0.16);
}

.uploader {
  background: #1d2c67;
  width: 351px;
  height: 202px;
  padding: 40px 41px;
  border-radius: 10px 100px 10px 10px;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}
.uploader .logo {
  width: 135px;
  height: auto;
}
.uploader .uploader-actions-container {
  display: flex;
  align-items: center;
  gap: 15px;
}
.uploader .uploader-actions-container .uploader-action {
  background: #0c122c;
  height: 49px;
  width: 49px;
  border-radius: 10px;
}
.uploader .uploader-actions-container .uploader-action img {
  margin: auto;
}
.uploader .uploader-actions-container .uploader-action:hover {
  transition: background-color 0.25s ease-in-out;
  background: #172254;
}

.usage {
  height: 154px;
  width: 541px;
  padding: 40px 41px;
  background: #1d2c67;
  align-self: flex-end;
  border-radius: 10px;
  color: #dddbff;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  position: relative;
}
.usage .usage-desc {
  letter-spacing: 0.08px;
}
.usage .usage-desc #current-usage {
  min-width: 26px;
  display: inline-block;
  text-align: right;
}
.usage .usage-bar {
  height: 18px;
  width: 100%;
  background-color: rgba(12, 18, 44, 0.5);
  border-radius: 10px;
  padding: 2px;
}
.usage .usage-bar .usage-bar-content {
  height: 100%;
  width: 75%;
  min-width: 15px;
  border-radius: 10px;
  position: relative;
  overflow: hidden;
}
.usage .usage-bar .usage-bar-content::before {
  content: "";
  position: absolute;
  height: 100%;
  width: 200%;
  background-image: linear-gradient(to right, #ff4d97 0, #ffa399 25%, #ff4d97 50%, #ffa399 75%, #ff4d97 100%);
  left: 0;
  top: 0;
  animation: animate-bar 1.5s linear infinite;
}
.usage .usage-bar .usage-bar-content::after {
  content: "";
  position: absolute;
  top: 2px;
  width: 10px;
  right: 2px;
  bottom: 2px;
  border-radius: 10px;
  background: white;
}
.usage .usage-bar-range {
  margin-top: 10px;
  display: flex;
  justify-content: space-between;
  font-size: 12px;
  font-weight: 700;
}
.usage .usage-tooltip {
  position: absolute;
  background: white;
  right: 40px;
  height: 72px;
  top: -48px;
  width: 179px;
  color: #0c122c;
  padding: 16px 25px;
  display: flex;
  align-items: center;
  gap: 8px;
  border-radius: 10px 10px 0 10px;
}
.usage .usage-tooltip .usage-number {
  font-weight: 700;
  font-size: 40px;
  line-height: 1;
  max-width: 66px;
}
.usage .usage-tooltip .brexit {
  text-transform: uppercase;
  font-size: 13px;
  font-weight: 700;
  letter-spacing: 0.34px;
  color: #848794;
}
.usage .usage-tooltip::after {
  content: "";
  position: absolute;
  height: 1px;
  width: 1px;
  bottom: -22px;
  right: 0;
  border-style: solid;
  border-width: 11px;
  border-color: white white transparent transparent;
}

@keyframes animate-bar {
  0% {
    left: -100%;
  }
  100% {
    left: 0;
  }
}
footer {
  position: absolute;
  color: white;
  bottom: 10px;
  text-align: center;
  width: 100%;
  left: 0;
  font-size: 11px;
  font-style: italic;
}
footer a {
  color: #ccc;
}

/*# sourceMappingURL=main.css.map */
